      environment:
        AUTH_SERVER_URL={{ keycloak_adress | default('keycloak') }}:{{ keycloak_port | default('8080') }}/auth
        REALM={{ soft.keycloak_realm | default('master') }}
        CLIENT={{ soft.keycloak_client | default('portal') }}
        JWKS_URL=http://{{ keycloak_adress | default('keycloak') }}:{{ keycloak_port | default('8080') }}/auth/realms/{{ soft.keycloak_realm | default('master') }}/protocol/openid-connect/certs
        OAUTH2_CLIENT_ID=om-service
        OAUTH2_CLIENT_SECRET="{{ om_secret }}"
        OAUTH2_CLIENT_TOKEN_URI=http://{{ keycloak_adress | default('keycloak') }}:{{ keycloak_port | default('8080') }}/auth/realms/{{ soft.keycloak_realm | default('master') }}/protocol/openid-connect/token
{% if soft.use_db is defined and soft.use_db is sameas true %}
        DB_HOST={{ psql_host | default('pgsql') }}
        DB_PORT={{ psql_port | default('5432')}}
        DB_USER={{ soft.psql_user | default('postgres') }}
        DB_PASSWORD={{ soft.psql_pass | default('postgres') }}
        DB_SCHEMA={{ soft.psql_schema | default('public') }}
        DB_NAME={{ soft.name }}
{% endif %}
{% if soft.consul_enable is defined and soft.consul_enable is sameas true %}
        CONSUL_REGISTER={{ soft.consul_register | default('true') }}
        CONSUL_HOST={{ soft.consul_host | default('consul') }}
        CONSUL_PORT={{ soft.consul_port | default('8500') }}
        SERVICE_IP={{ soft.service_ip | default(ansible_default_ipv4.address) }}
        SERVICE_PORT={{ soft.outher_port | default('8081') }}
{% endif %}   
{% if soft.name == "b2mml" %}
        URL_OBJECT_SERVICE=http://{{ object_service_name | default('object') }}:{{ object_service_port | default('8081') }}/restapi
        URL_PROPERTY_SERVICE=http://{{ properties_service_name | default('properties') }}:{{ properties_service_port | default('8086') }}/restapi
        URL_DATAREFERENCE_SERVICE=http://{{ datareferences_service_name | default('datareferences') }}:{{ datareferences_service_port | default('8084') }}/restapi
        URL_UOM_SERVICE=http://{{ uoms_service_name | default('uoms') }}:{{ uoms_service_port | default('8087') }}/restapi
        URL_VALUETYPE_SERVICE=http://{{ valuetypes_service_name | default('valuetypes') }}:{{ valuetypes_service_port | default('8085') }}/restapi 
{% endif %}
{% if soft.name == "properties" %}
        KAFKA_ENABLED=false
{% endif %}
{% if soft.name == "propertydata" %}
        TSDS_URI=http://nginx:8098/api/v0.1
        PROPERTYSERVICE_URI=http://{{ properties_service_name | default('properties') }}:{{ properties_service_port | default('8086') }}/restapi
        DIRECTORIES_URI=http://{{ directories_service_name | default('directories') }}:{{ directories_service_port | default('8082') }}/restapi
{% endif %}